use `sonata_billing`;

ALTER TABLE carrier_prefixes
    ADD COLUMN if not exists regex_pattern VARCHAR(255)
        GENERATED ALWAYS AS (
            REPLACE(
                    REPLACE(
                            REPLACE(
                                    REPLACE(
                                            REPLACE(
                                                    REPLACE(prefix, '#', '\\#'),
                                                '+', '\\+'),
                                            '*', '\\*'
                                        ),
                                    'X', '[0-9]'
                                ),
                            'Z', '[1-9]'
                        ),
                    'N', '[2-9]'
                )
            ) STORED;

create index if not exists idx_carrier_prefixes_regex_pattern on carrier_prefixes (regex_pattern);